> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verbrauchszyklen

> Liste aller Abrechnungszyklen für das Enterprise-Konto erzeugen

Erfordert den persönlichen API key eines Enterprise-Administrators.

Gibt eine Liste aller Abrechnungszyklen für Ihr Enterprise-Konto von der Einrichtung bis heute zurück.


## OpenAPI

````yaml de/v2-openapi.yaml GET /v2/enterprise/consumption/cycles
openapi: 3.1.0
info:
  description: Devin v2 API mit persönlichen API Keys für Enterprise-Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/consumption/cycles:
    get:
      tags:
        - consumption
      summary: Endpoint für Nutzungszyklen
      description: >-
        Erstellen Sie eine Liste aller Abrechnungszyklen des Enterprise-Kontos
        bis heute.
      operationId: consumption_cycles_endpoint_v2_enterprise_consumption_cycles_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BillingCycle'
                title: >-
                  Response Consumption Cycles Endpoint V2 Enterprise Consumption
                  Cycles Get
                type: array
          description: Erfolgreiche Antwort
components:
  schemas:
    BillingCycle:
      properties:
        end:
          format: date-time
          title: End
          type: string
        start:
          format: date-time
          title: Start
          type: string
      required:
        - start
        - end
      title: BillingCycle
      type: object
  securitySchemes:
    bearerAuth:
      description: Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren
      scheme: bearer
      type: http

````